Compilar VMware Player 3.1.3 no Kernel 2.6.38

1. Compilar VMware Player 3.1.3 no Kernel 2.6.38

Perfil removido
removido

(usa Nenhuma)

Enviado em 06/04/2011 - 19:28h

E ai pessoal do V.O.L eu tenho um problema que eu vou descrever abaixo:

Eu instalei o Kernel 2.6.38 no meu Ubuntu 10.04 só que agora o VMware Player 3.1.3 não funciona mais, ele tenta compilar alguns módulos, mas, sempre dá erro. Eu achei uns patches, mas, eu não sei aplicar alguém aqui que conseguiu pode me ajudar, por que o Virtual Box é meio ruinzinho e eu já estou acostumado com o VMware. Obrigado desde já.


  


2. Compilar VMware Player 3.1.3 no Kernel 2.6.38

Edwal F. Paiva Filho
nicolo

(usa Ubuntu)

Enviado em 07/04/2011 - 07:55h

Esse problema ocorre frequentemente com o vmware player. Aparentemente ele foi feito contando com determinadas bibliotecas compativeis com o kernel, ou o kernel headers.

As versoes antigas nao instalam em versoes novas do ubuntu.

Se o kernel novo foi recompilado seria de esperar que os kernel-headers estivessem compativeis e os modulos fossem compilados.

Se foi instalado a partir de um kernel ja compilado dificilmente teria compatibilidade.
Seria preciso compilar o kernel a partir do fonte.

Os patches sao do kernel fonte ou especificos para vmware?




3. Re: Compilar VMware Player 3.1.3 no Kernel 2.6.38

Perfil removido
removido

(usa Nenhuma)

Enviado em 07/04/2011 - 19:34h

Os patches são para o VMware.



4. Re: Compilar VMware Player 3.1.3 no Kernel 2.6.38

julio henrique maschio
jmhenrique

(usa Debian)

Enviado em 18/05/2011 - 21:32h

Instale o vmplayer 3.1.4, eu fiz um script para automatizar o patch e com melhorias, caso você tenha que usa-lo em um kernel que não seja o 2.6.38. por ex.

http://pastebin.com/FBE9sDkf

colocar o script aqui desformata, então coloquei-o no pastebin.
salve-o e o execute como root em um terminal.
Abraços
Henry